#include "microdelay.h"
#include <unistd.h>
#include <sys/io.h>

int old_port_value;

void microdelay_init() {
    // permition to write in port 0x80
    // nothing is suposed to use this port
    // however, we will write the same value we read...
    ioperm(0x80,1,1);
    old_port_value=inb(0x80);
}

void microdelay(unsigned int microsec) {
    while (microsec)
    {
	outb(old_port_value,0x80);
	microsec--;
    }
}

